public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-editors/vim/
Date: Mon,  5 Dec 2022 04:37:07 +0000 (UTC)	[thread overview]
Message-ID: <1670214060.724da6c5e92ca61f6ded7481c3ab11e926ad169e.sam@gentoo> (raw)

commit:     724da6c5e92ca61f6ded7481c3ab11e926ad169e
Author:     Hank Leininger <hlein <AT> korelogic <DOT> com>
AuthorDate: Sun Dec  4 19:04:45 2022 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Mon Dec  5 04:21:00 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=724da6c5

app-editors/vim: add 9.0.1000

Latest upstream fixes numerous CVEs.

Signed-off-by: Hank Leininger <hlein <AT> korelogic.com>
Bug: https://bugs.gentoo.org/883681
Closes: https://github.com/gentoo/gentoo/pull/28538
Signed-off-by: Sam James <sam <AT> gentoo.org>

 app-editors/vim/Manifest            |   1 +
 app-editors/vim/vim-9.0.1000.ebuild | 370 ++++++++++++++++++++++++++++++++++++
 2 files changed, 371 insertions(+)

diff --git a/app-editors/vim/Manifest b/app-editors/vim/Manifest
index 7ce52533f482..be91e4d6c4ee 100644
--- a/app-editors/vim/Manifest
+++ b/app-editors/vim/Manifest
@@ -2,4 +2,5 @@ DIST vim-9.0.0099.tar.gz 16712565 BLAKE2B b3277ebda0bb40601d995935422006d1a266bb
 DIST vim-9.0.0399.tar.gz 16833387 BLAKE2B f9d6588920b49ef32b82d012e1c4f8a34dc505267b67027a3b4302dd99d7987645c29a91fdb234fffa873b342488b4d9c85d05d3fe7a332042781881a61bea5e SHA512 6b261bf3aaa355e7a42de1785b134bccc51086495578730b9bc3b8e048679caa3a901e576a360cba5f1aa4d164c7f162a3f916e945b3f5f71e893ea30e0ca826
 DIST vim-9.0.0655.tar.gz 16804127 BLAKE2B e021ff4dd370cdd9b39fb9df0a12309215abd780ec297760b92b6caf924882465b28f9ba65d94ad75a229eb01c8f393f24a29a11919a96d78bb6fb45ef2971e3 SHA512 aa267941e835eecbeeffa7989fb525bdf4269f84d9c88d135a26d74ab7d025487863405b6e0f1391023c30193a122ed3e85a7a71bd4dc48058f3fe3377798f38
 DIST vim-9.0.0828.tar.gz 16782339 BLAKE2B 6b997c1c828338d64a8b204a1e232676ec075834b1b7e74c2fc671e315f9bf6026b0c419ebb3c31e7ce58dbca23828ca11d866b2bfcb73f8a86fb31fa0d51b00 SHA512 03f93515039a2f275a8fe6b84bbac5875ffff17768ab3201e111eba4897a2485fe4ccfe238151f393334c7a6ea77eddd8898f0b816e26dbdb884f4e6bcbd2943
+DIST vim-9.0.1000.tar.gz 16842747 BLAKE2B 85edab7d13daa3e84ef0aeb50e3e9bfd31f0634d8e480c105727b0c34318e0adf7f1276dcdac53df8fc416fd8dfb70377cd74ed570752a3e77f07a083fa6c113 SHA512 9d2b914a112948d77b92c8dcafc2f711a83c3fdaf35a28f7f606e77007b9320e2260a0f6b24fc875a817c33c012f077f89730b34e9f12d6f00795c5c806704c8
 DIST vim-patches-vim-9.0.0049-patches.tar.gz 2743 BLAKE2B dff3e215b235e1cbc2c62b1af2d1414d10b794dbee9f5e7797fb3d34e00c2e065c339d4c82bf28aed53e0b5f2f8f1ee5c7ce69851cd63360788609bf144ac922 SHA512 7d5c64d674fa77048fdca7287072c0e488723133e254c10711dbadf750416c368725327ca9b76f332017bc70aa544a9baef671765eabf0d172d39921ffd7d942

diff --git a/app-editors/vim/vim-9.0.1000.ebuild b/app-editors/vim/vim-9.0.1000.ebuild
new file mode 100644
index 000000000000..24d8c29f3e54
--- /dev/null
+++ b/app-editors/vim/vim-9.0.1000.ebuild
@@ -0,0 +1,370 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+# Please bump with app-editors/vim-core and app-editors/gvim
+
+VIM_VERSION="9.0"
+LUA_COMPAT=( lua5-{1..4} luajit )
+PYTHON_COMPAT=( python3_{8..11} )
+PYTHON_REQ_USE="threads(+)"
+USE_RUBY="ruby27 ruby30 ruby31"
+
+inherit vim-doc flag-o-matic bash-completion-r1 lua-single python-single-r1 ruby-single toolchain-funcs desktop xdg-utils
+
+if [[ ${PV} == 9999* ]] ; then
+	inherit git-r3
+	EGIT_REPO_URI="https://github.com/vim/vim.git"
+else
+	SRC_URI="https://github.com/vim/vim/archive/v${PV}.tar.gz -> ${P}.tar.gz
+		https://gitweb.gentoo.org/proj/vim-patches.git/snapshot/vim-patches-vim-9.0.0049-patches.tar.gz"
+	KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+fi
+
+DESCRIPTION="Vim, an improved vi-style text editor"
+HOMEPAGE="https://vim.sourceforge.io/ https://github.com/vim/vim"
+
+LICENSE="vim"
+SLOT="0"
+IUSE="X acl crypt cscope debug gpm lua minimal nls perl python racket ruby selinux sound tcl terminal vim-pager"
+REQUIRED_USE="
+	lua? ( ${LUA_REQUIRED_USE} )
+	python? ( ${PYTHON_REQUIRED_USE} )
+	vim-pager? ( !minimal )
+"
+
+RDEPEND="
+	>=app-eselect/eselect-vi-1.1
+	>=sys-libs/ncurses-5.2-r2:0=
+	nls? ( virtual/libintl )
+	acl? ( kernel_linux? ( sys-apps/acl ) )
+	crypt? ( dev-libs/libsodium:= )
+	cscope? ( dev-util/cscope )
+	gpm? ( >=sys-libs/gpm-1.19.3 )
+	lua? ( ${LUA_DEPS}
+		$(lua_gen_impl_dep 'deprecated' lua5-1)
+	)
+	~app-editors/vim-core-${PV}
+	!<app-editors/vim-core-8.2.4328-r1
+	vim-pager? ( app-editors/vim-core[-minimal] )
+	perl? ( dev-lang/perl:= )
+	python? ( ${PYTHON_DEPS} )
+	racket? ( dev-scheme/racket )
+	ruby? ( ${RUBY_DEPS} )
+	selinux? ( sys-libs/libselinux )
+	sound? ( media-libs/libcanberra )
+	tcl? ( dev-lang/tcl:0= )
+	X? ( x11-libs/libXt )
+"
+DEPEND="${RDEPEND}"
+# configure runs the Lua interpreter
+BDEPEND="
+	sys-devel/autoconf
+	lua? ( ${LUA_DEPS} )
+	nls? ( sys-devel/gettext )
+"
+PDEPEND="!minimal? ( app-vim/gentoo-syntax )"
+
+pkg_setup() {
+	# people with broken alphabets run into trouble. bug #82186.
+	unset LANG LC_ALL
+	export LC_COLLATE="C"
+
+	use lua && lua-single_pkg_setup
+	use python && python-single-r1_pkg_setup
+}
+
+src_prepare() {
+	if [[ ${PV} != 9999* ]] ; then
+		# Gentoo patches to fix runtime issues, cross-compile errors, etc
+		eapply "${WORKDIR}"/vim-patches-vim-9.0.0049-patches
+	fi
+
+	# Fixup a script to use awk instead of nawk
+	sed -i -e \
+		'1s|.*|#!'"${EPREFIX}"'/usr/bin/awk -f|' \
+		"${S}"/runtime/tools/mve.awk || die "mve.awk sed failed"
+
+	# Read vimrc and gvimrc from /etc/vim
+	echo '#define SYS_VIMRC_FILE "'${EPREFIX}'/etc/vim/vimrc"' \
+		>> "${S}"/src/feature.h || die "echo failed"
+	echo '#define SYS_GVIMRC_FILE "'${EPREFIX}'/etc/vim/gvimrc"' \
+		>> "${S}"/src/feature.h || die "echo failed"
+
+	# Use exuberant ctags which installs as /usr/bin/exuberant-ctags.
+	# Hopefully this pattern won't break for a while at least.
+	# This fixes bug #29398 (27 Sep 2003 agriffis)
+	sed -i -e \
+		's/\<ctags\("\| [-*.]\)/exuberant-&/g' \
+		"${S}"/runtime/doc/syntax.txt \
+		"${S}"/runtime/doc/tagsrch.txt \
+		"${S}"/runtime/doc/usr_29.txt \
+		"${S}"/runtime/menu.vim \
+		"${S}"/src/configure.ac || die 'sed failed'
+
+	# Don't be fooled by /usr/include/libc.h.  When found, vim thinks
+	# this is NeXT, but it's actually just a file in dev-libs/9libs
+	# This fixes bug #43885 (20 Mar 2004 agriffis)
+	sed -i -e \
+		's/ libc\.h / /' \
+		"${S}"/src/configure.ac || die 'sed failed'
+
+	# gcc on sparc32 has this, uhm, interesting problem with detecting EOF
+	# correctly. To avoid some really entertaining error messages about stuff
+	# which isn't even in the source file being invalid, we'll do some trickery
+	# to make the error never occur. bug 66162 (02 October 2004 ciaranm)
+	find "${S}" -name '*.c' | while read c; do
+		echo >> "$c" || die "echo failed"
+	done
+
+	# conditionally make the manpager.sh script
+	if use vim-pager; then
+		cat > "${S}"/runtime/macros/manpager.sh <<-_EOF_ || die "cat EOF failed"
+			#!/bin/sh
+			sed -e 's/\x1B\[[[:digit:]]\+m//g' | col -b | \\
+					vim \\
+						-c 'let no_plugin_maps = 1' \\
+						-c 'set nolist nomod ft=man ts=8' \\
+						-c 'let g:showmarks_enable=0' \\
+						-c 'runtime! macros/less.vim' -
+			_EOF_
+	fi
+
+	# Try to avoid sandbox problems. Bug #114475.
+	if [[ -d "${S}"/src/po ]]; then
+		sed -i -e \
+			'/-S check.vim/s,..VIM.,ln -s $(VIM) testvim \; ./testvim -X,' \
+			"${S}"/src/po/Makefile || die "sed failed"
+	fi
+
+	cp -v "${S}"/src/config.mk.dist "${S}"/src/auto/config.mk || die "cp failed"
+
+	sed -i -e \
+		"s:\\\$(PERLLIB)/ExtUtils/xsubpp:${EPREFIX}/usr/bin/xsubpp:" \
+		"${S}"/src/Makefile || die 'sed for ExtUtils-ParseXS failed'
+
+	# Fix bug 18245: Prevent "make" from the following chain:
+	# (1) Notice configure.ac is newer than auto/configure
+	# (2) Rebuild auto/configure
+	# (3) Notice auto/configure is newer than auto/config.mk
+	# (4) Run ./configure (with wrong args) to remake auto/config.mk
+	sed -i 's# auto/config\.mk:#:#' src/Makefile || die "Makefile sed failed"
+	rm src/auto/configure || die "rm failed"
+
+	eapply_user
+}
+
+src_configure() {
+
+	# Fix bug #37354: Disallow -funroll-all-loops on amd64
+	# Bug #57859 suggests that we want to do this for all archs
+	filter-flags -funroll-all-loops
+
+	# Fix bug 76331: -O3 causes problems, use -O2 instead. We'll do this for
+	# everyone since previous flag filtering bugs have turned out to affect
+	# multiple archs...
+	replace-flags -O3 -O2
+
+	emake -j1 -C src autoconf
+
+	# This should fix a sandbox violation (see bug #24447). The hvc
+	# things are for ppc64, see bug #86433.
+	for file in /dev/pty/s* /dev/console /dev/hvc/* /dev/hvc*; do
+		if [[ -e "${file}" ]]; then
+			addwrite ${file}
+		fi
+	done
+
+	local myconf=()
+	if use minimal; then
+		myconf=(
+			--with-features=tiny
+			--disable-nls
+			--disable-canberra
+			--disable-acl
+			--enable-gui=no
+			--without-x
+			--disable-darwin
+			--disable-luainterp
+			--disable-perlinterp
+			--disable-pythoninterp
+			--disable-mzschemeinterp
+			--disable-rubyinterp
+			--disable-selinux
+			--disable-tclinterp
+			--disable-gpm
+		)
+	else
+		use debug && append-flags "-DDEBUG"
+
+		myconf=(
+			--with-features=huge
+			$(use_enable sound canberra)
+			$(use_enable acl)
+			$(use_enable crypt libsodium)
+			$(use_enable cscope)
+			$(use_enable gpm)
+			$(use_enable nls)
+			$(use_enable perl perlinterp)
+			$(use_enable python python3interp)
+			$(use_with python python3-command "${PYTHON}")
+			$(use_enable racket mzschemeinterp)
+			$(use_enable ruby rubyinterp)
+			$(use_enable selinux)
+			$(use_enable tcl tclinterp)
+			$(use_enable terminal)
+		)
+
+		# --with-features=huge forces on cscope even if we --disable it. We need
+		# to sed this out to avoid screwiness. (1 Sep 2004 ciaranm)
+		if ! use cscope; then
+			sed -i -e \
+				'/# define FEAT_CSCOPE/d' src/feature.h || die "sed failed"
+		fi
+
+		if use lua; then
+			# -DLUA_COMPAT_OPENLIB=1 is required to enable the
+			# deprecated (in 5.1) luaL_openlib API (#874690)
+			use lua_single_target_lua5-1 && append-cppflags -DLUA_COMPAT_OPENLIB=1
+
+			myconf+=(
+				--enable-luainterp
+				$(use_with lua_single_target_luajit luajit)
+				--with-lua-prefix="${EPREFIX}/usr"
+			)
+		fi
+
+		# don't test USE=X here ... see bug #19115
+		# but need to provide a way to link against X ... see bug #20093
+		myconf+=(
+			--enable-gui=no
+			--disable-darwin
+			$(use_with X x)
+		)
+	fi
+
+	# let package manager strip binaries
+	export ac_cv_prog_STRIP="$(type -P true ) faking strip"
+
+	# keep prefix env contained within the EPREFIX
+	use prefix && myconf+=( --without-local-dir )
+
+	if tc-is-cross-compiler ; then
+		export vim_cv_getcwd_broken=no \
+			   vim_cv_memmove_handles_overlap=yes \
+			   vim_cv_stat_ignores_slash=yes \
+			   vim_cv_terminfo=yes \
+			   vim_cv_toupper_broken=no
+	fi
+
+	econf \
+		--with-modified-by=Gentoo-${PVR} \
+		"${myconf[@]}"
+}
+
+src_compile() {
+	# The following allows emake to be used
+	emake -j1 -C src auto/osdef.h objects
+
+	emake
+}
+
+src_test() {
+	einfo
+	einfo "Starting vim tests. Several error messages will be shown"
+	einfo "while the tests run. This is normal behaviour and does not"
+	einfo "indicate a fault."
+	einfo
+	ewarn "If the tests fail, your terminal may be left in a strange"
+	ewarn "state. Usually, running 'reset' will fix this."
+	einfo
+
+	# Don't let vim talk to X
+	unset DISPLAY
+
+	# Arch and opensuse seem to do this and at this point, I'm willing
+	# to try anything to avoid random test hangs!
+	export TERM=xterm
+
+	# See https://github.com/vim/vim/blob/f08b0eb8691ff09f98bc4beef986ece1c521655f/src/testdir/runtest.vim#L5
+	# for more information on test variables we can use.
+	# Note that certain variables need vim-compatible regex (not PCRE), see e.g.
+	# http://www.softpanorama.org/Editors/Vimorama/vim_regular_expressions.shtml.
+	#
+	# Skipped tests:
+	# - Test_expand_star_star
+	# Hangs because of a recursive symlink in /usr/include/nodejs (bug #616680)
+	# - Test_exrc
+	# Looks in wrong location? (bug #742710)
+	# - Test_job_tty_in_out
+	# Fragile and depends on TERM(?)
+	# - Test_spelldump_bang
+	# Hangs.
+	# - Test_fuzzy_completion_env
+	# Too sensitive to leaked environment variables.
+	# - Test_term_mouse_multiple_clicks_to_select_mode
+	# Hangs.
+	# - Test_spelldump
+	# Hangs.
+	export TEST_SKIP_PAT='\(Test_expand_star_star\|Test_exrc\|Test_job_tty_in_out\|Test_spelldump_bang\|Test_fuzzy_completion_env\|Test_term_mouse_multiple_clicks_to_select_mode\|Test_spelldump\)'
+
+	emake -j1 -C src/testdir nongui
+}
+
+# Call eselect vi update with --if-unset
+# to respect user's choice (bug #187449)
+eselect_vi_update() {
+	ebegin "Calling eselect vi update"
+	eselect vi update --if-unset
+	eend $?
+}
+
+src_install() {
+	local vimfiles=/usr/share/vim/vim${VIM_VERSION/.}
+
+	# Note: Do not install symlinks for 'vi', 'ex', or 'view', as these are
+	#       managed by eselect-vi
+	dobin src/vim
+	if ! use minimal ; then
+		dosym vim /usr/bin/vimdiff
+	fi
+	dosym vim /usr/bin/rvim
+	dosym vim /usr/bin/rview
+	if use vim-pager ; then
+		dosym ${vimfiles}/macros/less.sh /usr/bin/vimpager
+		dosym ${vimfiles}/macros/manpager.sh /usr/bin/vimmanpager
+		insinto ${vimfiles}/macros
+		doins runtime/macros/manpager.sh
+		fperms a+x ${vimfiles}/macros/manpager.sh
+	fi
+
+	domenu runtime/vim.desktop
+
+	newbashcomp "${FILESDIR}"/${PN}-completion ${PN}
+
+	# keep in sync with 'complete ... -F' list
+	bashcomp_alias vim ex vi view rvim rview vimdiff
+}
+
+pkg_postinst() {
+	# Update documentation tags (from vim-doc.eclass)
+	update_vim_helptags
+
+	# Call eselect vi update
+	eselect_vi_update
+
+	# update desktop file mime cache
+	xdg_desktop_database_update
+}
+
+pkg_postrm() {
+	# Update documentation tags (from vim-doc.eclass)
+	update_vim_helptags
+
+	# Call eselect vi update
+	eselect_vi_update
+
+	# update desktop file mime cache
+	xdg_desktop_database_update
+}


             reply	other threads:[~2022-12-05  4:37 UTC|newest]

Thread overview: 331+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-12-05  4:37 Sam James [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-08-30 14:59 [gentoo-commits] repo/gentoo:master commit in: app-editors/vim/ Ionen Wolkens
2024-08-28  4:33 Eli Schwartz
2024-08-21 19:08 Eli Schwartz
2024-06-26 14:42 Ionen Wolkens
2024-06-26  5:45 Joonas Niilola
2024-06-26  5:45 Joonas Niilola
2024-06-07  8:43 Arthur Zamarin
2024-06-07  6:55 Arthur Zamarin
2024-06-07  5:14 Arthur Zamarin
2024-06-06 17:28 Arthur Zamarin
2024-06-06 17:09 Arthur Zamarin
2024-06-06  0:45 Sam James
2024-05-19 15:34 Mike Gilbert
2024-04-26 21:01 Sam James
2024-02-17 21:43 John Helmert III
2024-02-16  7:51 Joonas Niilola
2024-01-30  4:05 Ionen Wolkens
2024-01-15  8:33 Arthur Zamarin
2024-01-15  8:33 Arthur Zamarin
2024-01-15  8:33 Arthur Zamarin
2024-01-15  8:33 Arthur Zamarin
2023-12-29  9:25 Arthur Zamarin
2023-12-29  9:25 Arthur Zamarin
2023-12-29  9:25 Arthur Zamarin
2023-12-29  9:25 Arthur Zamarin
2023-12-29  9:25 Arthur Zamarin
2023-12-29  9:24 Arthur Zamarin
2023-12-29  9:24 Arthur Zamarin
2023-12-29  9:24 Arthur Zamarin
2023-12-17 10:49 Hans de Graaff
2023-12-15 16:50 Arthur Zamarin
2023-12-15 16:50 Arthur Zamarin
2023-12-10 11:46 Arthur Zamarin
2023-12-10 11:46 Arthur Zamarin
2023-12-08 20:56 Arthur Zamarin
2023-12-08 20:56 Arthur Zamarin
2023-12-08 20:56 Arthur Zamarin
2023-12-08 20:56 Arthur Zamarin
2023-12-08 19:29 Arthur Zamarin
2023-12-08 19:29 Arthur Zamarin
2023-12-02 14:53 Arthur Zamarin
2023-12-02 14:53 Arthur Zamarin
2023-12-02 14:52 Arthur Zamarin
2023-12-02 14:52 Arthur Zamarin
2023-12-02 14:52 Arthur Zamarin
2023-12-02 14:52 Arthur Zamarin
2023-11-22 17:44 Sam James
2023-09-03 11:01 Joonas Niilola
2023-09-03 11:01 Joonas Niilola
2023-08-23  2:23 Mike Gilbert
2023-08-21 16:21 Mike Gilbert
2023-08-08  3:56 Sam James
2023-08-07  5:43 Sam James
2023-07-16  6:56 Joonas Niilola
2023-07-15  8:20 Arthur Zamarin
2023-06-21  7:04 Joonas Niilola
2023-06-21  7:04 Joonas Niilola
2023-06-13 18:59 Arthur Zamarin
2023-06-13 18:59 Arthur Zamarin
2023-06-13 18:59 Arthur Zamarin
2023-06-09  3:40 John Helmert III
2023-05-01  1:35 Sam James
2023-05-01  1:35 Sam James
2023-04-29 15:44 Arthur Zamarin
2023-04-29 15:44 Arthur Zamarin
2023-04-29 15:44 Arthur Zamarin
2023-04-29 15:44 Arthur Zamarin
2023-04-29 15:44 Arthur Zamarin
2023-04-29 15:44 Arthur Zamarin
2023-04-21  6:29 Joonas Niilola
2023-04-21  6:29 Joonas Niilola
2023-04-14  1:06 Sam James
2023-04-04 12:45 Joonas Niilola
2023-03-30 18:35 Arthur Zamarin
2023-03-22  1:20 Sam James
2023-03-04  7:18 Sam James
2023-02-28 16:28 Ben Kohler
2023-02-28 16:28 Ben Kohler
2023-02-28 14:10 Joonas Niilola
2023-02-26 19:21 Arthur Zamarin
2023-02-23 20:30 Arthur Zamarin
2023-02-23 20:30 Arthur Zamarin
2023-02-23 20:30 Arthur Zamarin
2023-02-23 20:30 Arthur Zamarin
2023-02-23 20:28 Arthur Zamarin
2023-02-23 20:28 Arthur Zamarin
2023-02-18  4:33 Sam James
2023-02-13  2:09 Sam James
2023-02-10  4:27 Sam James
2023-01-08  4:55 Sam James
2022-12-18 20:24 Arthur Zamarin
2022-12-18 20:24 Arthur Zamarin
2022-12-18 20:24 Arthur Zamarin
2022-12-18 20:24 Arthur Zamarin
2022-12-18 20:24 Arthur Zamarin
2022-12-18 20:24 Arthur Zamarin
2022-12-18 20:24 Arthur Zamarin
2022-12-18 20:24 Arthur Zamarin
2022-12-05  4:37 Sam James
2022-12-05  4:37 Sam James
2022-11-03  6:35 Sam James
2022-11-03  6:35 Sam James
2022-10-05 15:45 Sam James
2022-10-04 13:36 Sam James
2022-10-04 13:29 Sam James
2022-10-04 13:29 Sam James
2022-10-04 13:29 Sam James
2022-10-04 13:29 Sam James
2022-10-04 13:29 Sam James
2022-08-23  5:24 Sam James
2022-08-17  7:09 Agostino Sarubbo
2022-08-16 18:54 Arthur Zamarin
2022-08-16 18:54 Arthur Zamarin
2022-08-16 18:54 Arthur Zamarin
2022-08-16 18:54 Arthur Zamarin
2022-08-16 18:54 Arthur Zamarin
2022-08-16 18:51 Arthur Zamarin
2022-08-15 16:36 Arthur Zamarin
2022-08-15  7:40 Agostino Sarubbo
2022-07-29 14:24 Mike Gilbert
2022-07-29 14:24 Mike Gilbert
2022-07-19 21:16 Mike Gilbert
2022-07-19 21:16 Mike Gilbert
2022-07-07 20:12 Matt Turner
2022-07-07 19:05 Matt Turner
2022-06-26 19:37 Matt Turner
2022-06-26 19:17 Arthur Zamarin
2022-06-09 21:17 Mike Gilbert
2022-06-08  7:09 Sam James
2022-06-03 11:21 Agostino Sarubbo
2022-06-03 11:20 Agostino Sarubbo
2022-06-03 11:19 Agostino Sarubbo
2022-06-03 11:18 Agostino Sarubbo
2022-06-03 11:18 Agostino Sarubbo
2022-06-03 11:17 Agostino Sarubbo
2022-06-03 11:16 Agostino Sarubbo
2022-05-19 13:36 Agostino Sarubbo
2022-05-19  9:29 Agostino Sarubbo
2022-05-06  1:43 Mike Gilbert
2022-05-05  9:51 WANG Xuerui
2022-05-05  7:10 WANG Xuerui
2022-04-17 19:41 Sam James
2022-03-21 23:42 Sam James
2022-03-20 18:18 Arthur Zamarin
2022-03-06  8:54 Agostino Sarubbo
2022-03-03 12:49 Agostino Sarubbo
2022-03-03  7:34 Agostino Sarubbo
2022-03-03  7:34 Agostino Sarubbo
2022-03-03  7:33 Agostino Sarubbo
2022-03-02 20:05 Patrice Clement
2022-03-02 19:49 John Helmert III
2022-03-02  9:06 Agostino Sarubbo
2022-03-02  6:52 Agostino Sarubbo
2022-03-02  6:51 Agostino Sarubbo
2022-03-02  6:50 Agostino Sarubbo
2022-03-02  6:49 Agostino Sarubbo
2022-02-18 17:56 Sam James
2022-02-18  4:57 Sam James
2022-02-18  3:06 Sam James
2022-02-09 11:39 Sam James
2022-02-09 11:29 Sam James
2022-01-15  7:28 Arthur Zamarin
2022-01-09  1:15 Sam James
2022-01-09  1:14 Sam James
2021-12-31 17:37 Arthur Zamarin
2021-12-22  0:48 Sam James
2021-12-19 22:09 Agostino Sarubbo
2021-12-19 19:21 Jakov Smolić
2021-12-17 12:00 Sam James
2021-12-17 10:41 Arthur Zamarin
2021-12-17  7:33 Arthur Zamarin
2021-12-16  2:34 Sam James
2021-12-08  6:23 Sam James
2021-12-08  6:21 Sam James
2021-12-04 19:29 Arthur Zamarin
2021-12-01 17:07 Sam James
2021-11-25  0:12 Sam James
2021-11-24 16:47 Sam James
2021-11-23 17:02 Sam James
2021-11-23 10:48 Sam James
2021-11-22 10:01 Sam James
2021-11-20 10:24 Arthur Zamarin
2021-11-19 15:05 Sam James
2021-11-19 15:05 Sam James
2021-11-19 15:05 Sam James
2021-11-13  3:09 Sam James
2021-11-06  1:33 Sam James
2021-11-05  4:13 Sam James
2021-11-03 19:24 Sam James
2021-11-02 14:52 Sam James
2021-10-29 18:30 Sam James
2021-10-29 13:02 Sam James
2021-10-29 12:32 Sam James
2021-10-29  5:58 Sam James
2021-10-09  3:20 Sam James
2021-10-03 21:18 Sam James
2021-10-03 21:18 Sam James
2021-06-12 10:16 Patrice Clement
2021-05-24 18:52 Michał Górny
2021-05-18 19:39 Craig Andrews
2021-03-26  8:50 Conrad Kostecki
2021-01-23 22:42 Sam James
2021-01-06 13:03 Fabian Groffen
2020-12-27 13:40 Fabian Groffen
2020-12-06 22:46 Patrice Clement
2020-09-16 17:48 Sergei Trofimovich
2020-09-12  2:06 Sam James
2020-09-12  2:05 Sam James
2020-07-04 20:38 Patrice Clement
2020-05-24 11:04 Mikle Kolyada
2020-04-25 15:14 Mikle Kolyada
2020-04-04 10:13 Mikle Kolyada
2020-04-04  8:11 Mikle Kolyada
2020-04-03  9:10 Mikle Kolyada
2020-04-03  9:01 Mikle Kolyada
2020-04-03  9:01 Mikle Kolyada
2020-04-03  9:01 Mikle Kolyada
2020-04-03  8:58 Mikle Kolyada
2020-04-03  8:53 Mikle Kolyada
2020-04-02 17:55 Sergei Trofimovich
2020-04-02  6:22 Georgy Yakovlev
2020-03-07  6:51 Mikle Kolyada
2020-02-05  5:14 Tim Harder
2020-01-13  1:45 Tim Harder
2019-12-29 21:30 Mikle Kolyada
2019-12-29 18:17 Mikle Kolyada
2019-08-14 23:59 Tim Harder
2019-07-29  8:13 Tim Harder
2019-07-28 10:42 Mikle Kolyada
2019-07-21 22:33 Aaron Bauman
2019-06-17  9:56 Mikle Kolyada
2019-06-15  9:24 Sergei Trofimovich
2019-06-14 15:01 Agostino Sarubbo
2019-06-14  9:26 Agostino Sarubbo
2019-06-14  9:18 Agostino Sarubbo
2019-06-13 20:02 Sergei Trofimovich
2019-06-13 15:10 Agostino Sarubbo
2019-06-13 14:16 Agostino Sarubbo
2019-06-13 12:21 Tobias Klausmann
2019-06-07  7:38 Tim Harder
2019-05-10  8:42 Tim Harder
2019-05-05 13:17 Mikle Kolyada
2019-04-21  8:21 Tim Harder
2019-04-16 20:37 Tim Harder
2019-04-12  6:16 Tim Harder
2019-04-11 19:15 Sergei Trofimovich
2019-04-11 12:52 Michał Górny
2019-04-09 12:06 Patrice Clement
2019-04-08 18:04 Aaron Bauman
2019-04-06 15:31 Mikle Kolyada
2019-04-03  7:10 Mikle Kolyada
2019-04-02  9:48 Mikle Kolyada
2019-03-31 20:30 Sergei Trofimovich
2019-03-30 10:46 Agostino Sarubbo
2019-03-25 21:49 Patrice Clement
2019-01-19 12:10 Patrice Clement
2018-12-28 22:25 Tim Harder
2018-12-28  9:08 Tim Harder
2018-11-29 19:48 Craig Andrews
2018-11-28  9:58 Michał Górny
2018-09-20  5:31 Tim Harder
2018-09-20  5:31 Tim Harder
2018-08-26  8:25 Michał Górny
2018-06-06  2:31 Tim Harder
2018-06-03 18:32 Mikle Kolyada
2018-04-12  5:45 Tim Harder
2018-04-08 21:37 Patrice Clement
2018-03-25 22:38 Tim Harder
2018-03-11  5:11 Matt Turner
2018-03-03 14:17 Mart Raudsepp
2018-01-20 18:04 Tobias Klausmann
2018-01-07 20:53 Markus Meier
2018-01-05 10:58 Tim Harder
2017-12-27 11:50 Sergei Trofimovich
2017-12-26 10:45 Sergei Trofimovich
2017-12-25 18:29 Sergei Trofimovich
2017-12-23 19:53 Sergei Trofimovich
2017-12-20 13:40 Thomas Deutschmann
2017-12-20 13:09 Agostino Sarubbo
2017-11-15  3:57 Tim Harder
2017-11-15  3:57 Tim Harder
2017-10-26 13:01 Patrice Clement
2017-10-25 20:06 Patrice Clement
2017-10-24 21:37 Patrice Clement
2017-10-24 21:37 Patrice Clement
2017-10-13 21:39 Tim Harder
2017-09-05  6:39 Tim Harder
2017-08-31 13:46 Tim Harder
2017-08-22  3:58 Tim Harder
2017-08-14  5:39 Tim Harder
2017-06-06 17:42 Patrice Clement
2017-05-27 15:19 Michał Górny
2017-03-05  1:01 Jeroen Roovers
2017-03-04 14:02 Agostino Sarubbo
2017-03-04 13:46 Agostino Sarubbo
2017-03-03 19:14 Tobias Klausmann
2017-03-03  9:37 Michael Weber
2017-03-03  9:02 Agostino Sarubbo
2017-02-28  0:57 Tim Harder
2017-02-22 10:06 Michael Weber
2017-01-29 14:38 Fabian Groffen
2017-01-09 14:17 Jeroen Roovers
2016-12-17 15:32 Markus Meier
2016-12-02 14:21 Tobias Klausmann
2016-12-01 12:53 Agostino Sarubbo
2016-12-01 12:50 Agostino Sarubbo
2016-12-01  0:24 Tim Harder
2016-11-18 21:40 Mike Frysinger
2016-09-15 15:33 Tim Harder
2016-09-15 15:33 Tim Harder
2016-09-15  4:33 Tim Harder
2016-07-26  4:23 Tim Harder
2016-05-08  2:53 Tim Harder
2016-05-08  2:48 Tim Harder
2016-04-20  3:21 Michał Górny
2016-03-17  3:58 Tim Harder
2016-03-17  2:10 Tim Harder
2016-02-29 19:44 Stephen Klimaszewski
2016-02-17  8:15 Ole Reifschneider
2016-02-01  5:05 Tim Harder
2016-02-01  5:05 Tim Harder
2016-01-23 17:10 Tim Harder
2016-01-14  1:39 Tim Harder
2015-09-06  6:23 Jeroen Roovers
2015-09-01 16:05 Markus Meier
2015-08-30 12:51 Tobias Klausmann
2015-08-27 10:13 Mikle Kolyada
2015-08-27  9:58 Agostino Sarubbo
2015-08-25  3:25 Tim Harder
2015-08-25  3:25 Tim Harder

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1670214060.724da6c5e92ca61f6ded7481c3ab11e926ad169e.sam@gentoo \
    --to=sam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox